> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Video

> Download TikTok Video by URL

<ResponseExample>
  ```json 200 theme={null}
  {
    "meta": {
      "code": 200,
      "message": "OK"
    },
    "download_details": {
      "platform": "tiktok",
      "shortcode": "https://www.tiktok.com/@khaby.lame/video/7503547470006226198",
      "caption": "You can try it this way too #learnfromkhaby #comedy",
      "type": "video",
      "download_url": "https://api2.musical.ly/aweme/v1/play/?faid=1988&file_id=6db6e05f19d546eeae99784ec0eb8ef6&is_play_url=1&item_id=7503547470006226198&line=0&ply_type=2&signaturev3=dmlkZW9faWQ7ZmlsZV9pZDtpdGVtX2lkLjhjYWY3MjJjNGQ1ZjQ4N2FhN2IzZDA4MWFlZWYyZTBk&tk=tt_chain_token&urlt=1&video_id=v24044gl0000d0gv8o7og65kj919cr80",
      "thumb": "https://p16-pu-sign-no.tiktokcdn-eu.com/tos-no1a-p-0037-no/owegZNGAR7GhfhYI99LKfEAKWXAeIAKI97AQbA~tplv-tiktokx-origin.image?dr=14575&x-expires=1757865600&x-signature=z6OaUuSb7UmK4QMAXur1O0%2BWE74%3D&t=4d5b0474&ps=13740610&shp=b59d6b55&shcp=43f4a2f9&idc=my",
      "music": "https://v77.tiktokcdn.com/971c847ada5dc23018644c107d3d6295/68c5a111/video/tos/no1a/tos-no1a-v-2370-no/ogTDSFLfQY0fR9Q0WQ9lEMIDzzQoYVPMDf6BEA/?a=1180&bti=NDU3ZjAwOg%3D%3D&ch=0&cr=0&dr=0&er=2&cd=0%7C0%7C0%7C0&br=250&bt=125&ft=.NpOcInz7ThaaQnKXq8Zmo&mime_type=audio_mpeg&qs=6&rc=ODg7NzYzOTczaGY8OmQ4PEBpMzNyNng5cmd5MzMzbzU8NUAvLmNiYDMuXy0xYjJhYi8zYSNnYy1xMmQ0NmRhLS1kMTFzcw%3D%3D&vvpl=1&l=2025091300505673BB2F35F889B9FBE9A4&btag=e00088000&cc=13&download=true",
      "duration": ""
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/download-tiktok
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/download-tiktok:
    get:
      tags:
        - Workflow
      description: Triggers the workflow download-tiktok
      operationId: get_wf_download-tiktok
      parameters:
        - name: url
          in: query
          required: true
          description: TikTok Video URL
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````